Clipform
Node Media

Update node media captions

Replaces a node's caption words and regroups them into segments.

PATCH
/forms/{formId}/nodes/{nodeId}/media/captions

Authorization

bearerAuth
AuthorizationBearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

formId*string
nodeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08/nodes/497f6eca-6276-4993-bfeb-53cbbbba6f08/media/captions" \  -H "Content-Type: application/json" \  -d '{    "words": [      {        "word": "string",        "start": 0,        "end": 0      }    ]  }'
{  "node_id": "6e0bdcac-9717-4a6f-972e-97489dffeb0c",  "captions": [    {      "start": 0,      "end": 0,      "text": "string",      "words": [        {          "word": "string",          "start": 0,          "end": 0        }      ]    }  ]}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}